﻿package {
	public class Polygon {
		public var vectors:Array;
		private var _position:MyVector;
		public var color:int;
		public var strokeWidth:int;
		
		public function Polygon():void {
			vectors = new Array();
			_position = new MyVector(0,0);
			color = 0x000000;
			strokeWidth=1;
		}
		
		public function addStroke(x:Number, y:Number):void {
			vectors.push(new MyVector(x,y));
		}
		
		public function close():void {
			var x:Number=0;
			var y:Number=0;
			for (var i:int=0;i<vectors.length;i++) {
				x+=vectors[i].x;
				y+=vectors[i].y;
			}
			if (x!=0 || y!=0) addStroke(-x,-y);
		}
		
		public function set position(p:MyVector):void {
			_position=p;
		}
		
		public function get position():MyVector {
			return _position;
		}
	}
}